import java.util.ArrayList;
import java.util.Comparator;
import java.util.Scanner;

public class Task8Pairs {

	public static void main(String[] args) {
		Scanner sc = new Scanner(System.in);
		int n, k;
		String[] ss = sc.nextLine().split(" ");
		n = Integer.parseInt(ss[0]);
		k = Integer.parseInt(ss[1]);
		int[][] ks = new int[n][k];

		if (n == 2) {
			System.out.println("YES\n1 2\n");
			return;
		}

		for (int i = 0; i < n; i++) {
			ss = sc.nextLine().split(" ");
			for (int j = 0; j < k; j++) {
				ks[i][j] = Integer.parseInt(ss[j]);
			}
		}

		System.out.println(think(n, k, ks));
	}

	private static StringBuffer think(int n, int k, int[][] ks) {
		StringBuffer toPrint = new StringBuffer("YES\n");
		double[] bs = findBs(n, k, ks);
		ArrayList<Integer> lower = new ArrayList<>();
		ArrayList<Integer> higher = new ArrayList<>();
		double b0 = bs[0];
		for (int i = 0; i < n; i++) {
			if (ks[i][0] >= b0)
				higher.add(i);
			if (ks[i][0] <= b0)
				lower.add(i); // if ks[i][0] == b0, i will be in both
		}

		int index1;
		boolean found;
		for (int i = 0; i < n / 2; i++) {
			index1 = lower.get(0);
			found = false;
//			for (int j = higher.size() - 1; j>=0;j--) {
//				index2= higher.get(j);
			for(int index2 : higher) {
				if (check(n, k, ks, bs, index1, index2)) {
					found = true;
					toPrint.append("" + (index1 + 1) + " " + (index2 + 1) + "\n");
					lower.remove((Object) index1);
					lower.remove((Object) index2);
					higher.remove((Object) index1);
					higher.remove((Object) index2);
					break;
				}
			}
			if (!found) {
				toPrint = new StringBuffer("NO");
			}
		}
		return toPrint;
	}


	private static boolean check(int n, int k, int[][] ks, double[] bs, int i, int j) {
		for (int t = 1; t < k; t++) {
			if (!((ks[i][t] >= bs[t]) && (ks[j][t] <= bs[t]) || (ks[i][t] <= bs[t]) && (ks[j][t] >= bs[t]))) {
				return false;
			}
		}
		return true;
	}

	private static double[] findBs(int n, int k, int[][] ks) {
		double[] result = new double[k];
		ArrayList<Integer> list = new ArrayList<>();
		for (int t = 0; t < k; t++) {
			list.clear();
			for (int i = 0; i < n; i++) {
				list.add(ks[i][t]);
			}
			list.sort(IntegerNaturalOrderComparator.instance);
			result[t] = (list.get(list.size() / 2 - 1) + list.get(list.size() / 2) + 0d) / 2;
		}
		return result;
	}

	private static class IntegerNaturalOrderComparator implements Comparator<Integer> {
		public static final IntegerNaturalOrderComparator instance = new IntegerNaturalOrderComparator();

		private IntegerNaturalOrderComparator() {
		}

		public int compare(Integer o1, Integer o2) {
			return Integer.compare(o1, o2);
		}
	}
}
